Package org.springframework.security.access.vote

# Class ConsensusBased

java.lang.Object
org.springframework.security.access.vote.AbstractAccessDecisionManager
org.springframework.security.access.vote.ConsensusBased

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.MessageSourceAware`, `AccessDecisionManager`

@Deprecated public class ConsensusBased extends AbstractAccessDecisionManager
Deprecated.
Use `AuthorizationManager` instead
Simple concrete implementation of `AccessDecisionManager` that uses a consensus-based approach.

"Consensus" here means majority-rule (ignoring abstains) rather than unanimous agreement (ignoring abstains). If you require unanimity, please see `UnanimousBased`.

## Field Summary

### Fields inherited from class org.springframework.security.access.vote.AbstractAccessDecisionManager

`logger, messages`

## Constructor Summary

Constructors
Constructor
Description
`ConsensusBased(List<AccessDecisionVoter<?>> decisionVoters)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`decide(Authentication authentication, Object object, Collection<ConfigAttribute> configAttributes)`
Deprecated.
This concrete implementation simply polls all configured `AccessDecisionVoter`s and upon completion determines the consensus of granted against denied responses.
`boolean`
`isAllowIfEqualGrantedDeniedDecisions()`
Deprecated.
`void`
`setAllowIfEqualGrantedDeniedDecisions(boolean allowIfEqualGrantedDeniedDecisions)`
Deprecated.

### Methods inherited from class org.springframework.security.access.vote.AbstractAccessDecisionManager

`afterPropertiesSet, checkAllowIfAllAbstainDecisions, getDecisionVoters, isAllowIfAllAbstainDecisions, setAllowIfAllAbstainDecisions, setMessageSource, supports, supports, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConsensusBased

public ConsensusBased(List<AccessDecisionVoter<?>> decisionVoters)
Deprecated.

## Method Details

### decide

public void decide(Authentication authentication, Object object, Collection<ConfigAttribute> configAttributes) throws AccessDeniedException
Deprecated.
This concrete implementation simply polls all configured `AccessDecisionVoter`s and upon completion determines the consensus of granted against denied responses.

If there were an equal number of grant and deny votes, the decision will be based on the `isAllowIfEqualGrantedDeniedDecisions()` property (defaults to true).

If every `AccessDecisionVoter` abstained from voting, the decision will be based on the `AbstractAccessDecisionManager.isAllowIfAllAbstainDecisions()` property (defaults to false).

Parameters:
  `authentication` - the caller invoking the method
  `object` - the secured object
  `configAttributes` - the configuration attributes associated with the method being invoked
Throws:
  `AccessDeniedException` - if access is denied

### isAllowIfEqualGrantedDeniedDecisions

public boolean isAllowIfEqualGrantedDeniedDecisions()
Deprecated.

### setAllowIfEqualGrantedDeniedDecisions

public void setAllowIfEqualGrantedDeniedDecisions(boolean allowIfEqualGrantedDeniedDecisions)
Deprecated.